Bug 119782 - Polish devel/subversion*
Summary: Polish devel/subversion*
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Lev A. Serebryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-18 21:40 UTC by fmysh
Modified: 2008-01-29 13:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (12.48 KB, patch)
2008-01-18 21:40 UTC, fmysh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fmysh 2008-01-18 21:40:02 UTC
	- Add CONFLICTS between devel/subversion and
	  devel/subversion-{perl,python,ruby}.

	- Fetch svn-book-html.tar.bz2 rather indivisual files. Also this
	  corrects checksum mismatch.
	  Remove PORTDOCS in Makefile and list document files in pkg-plist.

	- Substite some paths with pre-defined macros, e.g. DATADIR.
Comment 1 Edwin Groothuis freebsd_committer 2008-01-18 21:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lev

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Robert Gogolok 2008-01-29 11:13:30 UTC
Thanks for the patch. I'm glad someone is interessted in improving the 
subversion port.

Having 4 subversion ports with different postfixes s***ks.
I think you cannot add the CONFLICTS line.
Some ports rely on subversion-perl e.g.. Although I want the subversion port 
with ruby,python,perl support and so on.

The subversion-{ruby,perl,python} ports should only add the %%WITH_XXX% files.
Then you can depend on subversion-perl explicitly.
Comment 3 Robert Gogolok 2008-01-29 11:54:35 UTC
On Tuesday 29 January 2008 13:33:41 Lev Serebryakov wrote:
> Robert Gogolok wrote:
> >  Having 4 subversion ports with different postfixes s***ks.
> >  I think you cannot add the CONFLICTS line.
> >  Some ports rely on subversion-perl e.g.. Although I want the subversion
> > port with ruby,python,perl support and so on.
>
>    Then you install main subversion port with needed options by hands :)
But what happens with the ports which depend on subversion-perl?

p5-Log-Accounting-SVN/Makefile:BUILD_DEPENDS=   
${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/subversion-perl \
p5-SVN-ACL/Makefile:            subversion-perl>=1.3.0:
${PORTSDIR}/devel/subversion-perl \
p5-SVN-Agent/Makefile:BUILD_DEPENDS=    ${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:
${PORTSDIR}/devel/subversion-perl \
...


> >  The subversion-{ruby,perl,python} ports should only add the %%WITH_XXX%
> > files. Then you can depend on subversion-perl explicitly.
>
>    It is almost impossible to implement, because `subversion' itself can
> not build ONLY these files. New build files will be linked with
> libraries from work directory. It can work after install, but it can
> fail too :(
You can build subversion and copy the files 'manually' to the target?
It's a question of how hard it is to maintain.
Comment 4 dfilter service freebsd_committer 2008-01-29 12:17:11 UTC
lev         2008-01-29 12:17:05 UTC

  FreeBSD ports repository

  Modified files:
    devel/subversion     Makefile distinfo pkg-plist 
  Log:
    Download compressed book [1]
    Change some hard-coded paths to variables [1]
    Fix pkg-plist for Java bindings [2]
  
  PR:             ports/119782 [1], ports/117357 [2]
  Submitted by:   TAOKA Fumiyoshi [1], bf [2]
  
  Revision  Changes    Path
  1.117     +19 -29    ports/devel/subversion/Makefile
  1.53      +6 -45     ports/devel/subversion/distinfo
  1.37      +33 -3     ports/devel/subversion/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Lev A. Serebryakov freebsd_committer 2008-01-29 12:17:40 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2008-01-29 12:26:38 UTC
lev         2008-01-29 12:26:32 UTC

  FreeBSD ports repository

  Modified files:
    devel/subversion     Makefile 
    devel/subversion-perl Makefile 
    devel/subversion-python Makefile 
    devel/subversion-ruby Makefile 
  Log:
    Add proper CONFLICTS clauses.
  
  PR:             ports/119782
  Submitted by:   TAOKA Fumiyoshi
  
  Revision  Changes    Path
  1.4       +1 -0      ports/devel/subversion-perl/Makefile
  1.2       +1 -0      ports/devel/subversion-python/Makefile
  1.2       +1 -0      ports/devel/subversion-ruby/Makefile
  1.118     +1 -1      ports/devel/subversion/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Lev A. Serebryakov freebsd_committer 2008-01-29 12:33:41 UTC
Robert Gogolok wrote:

>  Having 4 subversion ports with different postfixes s***ks.
>  I think you cannot add the CONFLICTS line.
>  Some ports rely on subversion-perl e.g.. Although I want the subversion port 
>  with ruby,python,perl support and so on.
   Then you install main subversion port with needed options by hands :)

>  The subversion-{ruby,perl,python} ports should only add the %%WITH_XXX% files.
>  Then you can depend on subversion-perl explicitly.
   It is almost impossible to implement, because `subversion' itself can 
not build ONLY these files. New build files will be linked with 
libraries from work directory. It can work after install, but it can 
fail too :(
   So, `subversion-*' ports are only short-hands for set one needed option.

-- 
// Lev Serebryakov
Comment 8 Lev A. Serebryakov freebsd_committer 2008-01-29 13:07:59 UTC
Robert Gogolok wrote:

>  But what happens with the ports which depend on subversion-perl?
>  p5-Log-Accounting-SVN/Makefile:BUILD_DEPENDS=   
>  ${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/subversion-perl \
>  p5-SVN-ACL/Makefile:            subversion-perl>=1.3.0:
>  ${PORTSDIR}/devel/subversion-perl \
>  p5-SVN-Agent/Makefile:BUILD_DEPENDS=    ${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:
>  ${PORTSDIR}/devel/subversion-perl \
>  ...
   These ports will have broken dependency record :( It can be fixed 
with pkgtools (). It is big problem of port system itself.

>  > >  The subversion-{ruby,perl,python} ports should only add the %%WITH_XXX%
>  > > files. Then you can depend on subversion-perl explicitly.
>  >
>  >    It is almost impossible to implement, because `subversion' itself can
>  > not build ONLY these files. New build files will be linked with
>  > libraries from work directory. It can work after install, but it can
>  > fail too :(
>  You can build subversion and copy the files 'manually' to the target?
>  It's a question of how hard it is to maintain.
   Once again: these files will be linked with fresh-build libraries, 
not with system one. After copying them into system and removing build 
directory they MAYBE will work. And MAYBE not. Everything will work ONLY 
if base port (subversion) and bindings port (subversion-*) was build 
with EXACTLY SAME set of options, port's ones and system-wide compiler's 
ones.

-- 
// Lev Serebryakov